version: '2.1'
services:
  graphdb:
    image: ontotext/graphdb:8.9.0-ee
    container_name: ${COMPOSE_PROJECT_NAME}-graphdb
    command: [-Dgraphdb.home=/opt/graphdb/home -Dgraphdb.license.file=/opt/graphdb/home/conf/graphdb-licenses/graphdb.license -Xmx4g -Dgraphdb.page.cache.size=0 -Dgraphdb.epool.onheap=false]
    volumes:
      - ${DATA_PATH}/graphdb/home:/opt/graphdb/home
      - $GRAPHDB_LICENSE_DIR:/opt/graphdb/home/conf/graphdb-licenses
    ports:
      - "7200:7200"
    healthcheck:
      test: ["CMD", "curl", "-f", "http://localhost:7200"]
      interval: 10s
      timeout: 10s
      retries: 100
    networks:
      - ddf

  rabbitmq:
    image: rabbitmq:3.6.3-management
    container_name: ${COMPOSE_PROJECT_NAME}-rabbitmq
    environment:
      - RABBITMQ_DEFAULT_USER=${RABBITMQ_DEFAULT_USER}
      - RABBITMQ_DEFAULT_PASS=${RABBITMQ_DEFAULT_PASS}
    ports:
      - "5671:5671"
      - "5672:5672"
      - "25672:25672"
      - "15672:15672"
    healthcheck:
      test: ["CMD", "rabbitmqctl", "node_health_check"]
      interval: 5s
      timeout: 10s
      retries: 100
    networks:
      - ddf

  elasticsearch:
    image: docker.elastic.co/elasticsearch/elasticsearch:6.8.2
    container_name: ${COMPOSE_PROJECT_NAME}-elasticsearch
    volumes:
      - ${DATA_PATH}/elasticsearch/data:/usr/share/elasticsearch/data
      - ${DATA_PATH}/elasticsearch/config/elasticsearch.yml:/usr/share/elasticsearch/config/elasticsearch.yml
      - ${DATA_PATH}/elasticsearch/config/jvm.options:/usr/share/elasticsearch/config/jvm.options
      - ${DATA_PATH}/elasticsearch/config/log4j2.properties:/usr/share/elasticsearch/config/log4j2.properties
    ports:
      - "9200:9200"
      - "9300:9300"
    environment:
      - JAVA_OPTS=-Xms1024m -Xmx3084m
    ulimits:
      nofile:
        soft: 65536
        hard: 65536
    healthcheck:
      test: ["CMD", "curl", "-f", "http://localhost:9200"]
      interval: 5s
      timeout: 10s
      retries: 100
    networks:
      - ddf

networks:
  ddf:
    driver: bridge
